<?php 
if(!@$_POST) exit();
include('configuracion.php');


$email = isset($_POST['email']) ? $_POST['email'] : NULL;
/*
$rut = isset($_POST['rut']) ? $_POST['rut'] : NULL;
$rut = funcion::limpiar($rut);
$rut = str_replace(".","",$rut);
$rut = str_replace("-","",$rut);

$usuario = $db->row('usuarios','id, nombre, email',"rut='{$rut}'");
if ($usuario->id) {
  header("Location:".WEB."register?error-rut=$rut");
  exit;
}
*/
$usuario = $db->row('usuarios','id, nombre, email',"email='{$email}'");
if (isset($usuario->id)) {
  header("Location:".WEB."login?error-email=$email");
  exit;
}




$name = isset($_POST['name']) ? $_POST['name'] : NULL;
$lastname = isset($_POST['lastname']) ? $_POST['lastname'] : NULL;
$email = isset($_POST['email']) ? $_POST['email'] : NULL;
$clave = isset($_POST['password']) ? $_POST['password'] : NULL;
//$rut = isset($_POST['rut']) ? $_POST['rut'] : NULL;

$name = funcion::limpiar($name);
$lastname = funcion::limpiar($lastname);
$email = funcion::limpiar($email);
//$phone = funcion::limpiar($phone);
//$rut = funcion::limpiar($rut);

$nombre_completo = $name." ".$lastname;

$clave_original = funcion::limpiar($clave);
$clave = funcion::encriptar(MD5($clave_original));


$fecha_ingreso = date('Y-m-d H:i:s');
$fecha_ingreso_castellano = date('d-m-Y | H:i a');


$datos = array(
	'nombre'				=> $db->string($name),
	'apellido'				=> $db->string($lastname),
	'nombre_completo'		=> $db->string($nombre_completo),
	'email'					=> $db->string($email),
	'clave'					=> $db->string($clave),
	'estado'				=> @1,
	'autor'					=> @1,
	'editor'				=> @1,
	'fecha_ingreso'			=> $db->string($fecha_ingreso),
	'fecha_edicion'			=> $db->string($fecha_ingreso)
);

$db->insert('usuarios',$datos);
$id = $db->UltimoId('usuarios');

if (!isset($id)) {
	header('Location:'.WEB.'login');
	exit;
}

// Creamos el Slug
$slug = funcion::slug($nombre_completo);

// Verificamos que no se repita el slug
$validar_slug = $db->results('usuarios','id',"slug='{$slug}'");
if(isset($validar_slug)){
	$slug = $slug.'-'.$id;
}

// Subimos a la base de datos
$datos_slug = array(
	'orden'		=> @$id+0,
	'slug'		=> $db->string($slug)
);		
$db->update('usuarios',$datos_slug,"id='{$id}'");

$acceder = $db->row("usuarios","*","id='{$id}'");



//require "class.phpmailer.php";

//require_once "emails/email-register-user.php";

// IMPORTANTE:
// SOLO POR AHORA QUE NO USAREMOS LA VALIDACION POR MAIL
$_SESSION['usuario_procare360_id'] = $id;
$_SESSION['usuario_procare360_email'] = $email;
$_SESSION['usuario_procare360_nombre'] = $acceder->nombre;
$_SESSION['usuario_procare360_nombre_completo'] = $acceder->nombre_completo;
$_SESSION['usuario_procare360_slug'] = $acceder->slug;
/////////////////////////////////////////////////////////

header('Location:'.WEB.'perfil?token='.funcion::encriptar($email));
exit;	

?>